"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.platformToAddressFormat = exports.isPlatform = exports.chainToPlatform = exports.platformToChains = exports.platforms = void 0;
const index_js_1 = require("./../utils/index.js");
// prettier-ignore
const platformAndChainsEntries = [[
        "Evm", [
            "Acala",
            "Arbitrum",
            "Aurora",
            "Avalanche",
            "Base",
            "Bsc",
            "Celo",
            "Ethereum",
            "Fantom",
            "Gnosis",
            "Karura",
            "Klaytn",
            "Moonbeam",
            "Neon",
            "Oasis",
            "Optimism",
            "Polygon",
            "Sepolia",
            "ArbitrumSepolia",
            "BaseSepolia",
            "OptimismSepolia",
            "Holesky",
            "PolygonSepolia",
            "Mantle",
            "Scroll",
            "Blast",
            "Xlayer",
            "Linea",
            "Berachain",
            "Seievm",
            "Snaxchain",
            "Unichain",
            "Worldchain",
            "Ink",
            "HyperEVM",
            "Monad",
        ]
    ], [
        "Solana", [
            "Solana",
            "Pythnet"
        ]
    ], [
        "Cosmwasm", [
            "Cosmoshub",
            "Evmos",
            "Injective",
            "Kujira",
            "Osmosis",
            "Sei",
            "Terra",
            "Terra2",
            "Wormchain",
            "Xpla",
            "Dymension",
            "Neutron",
            "Stargaze",
            "Celestia",
            "Seda",
            "Provenance",
            "Noble"
        ]
    ], [
        "Btc", [
            "Btc"
        ]
    ], [
        "Algorand", [
            "Algorand"
        ]
    ], [
        "Sui", [
            "Sui"
        ]
    ], [
        "Aptos", [
            "Aptos"
        ]
    ], [
        "Near", [
            "Near"
        ]
    ],
];
exports.platforms = (0, index_js_1.column)(platformAndChainsEntries, 0);
exports.platformToChains = (0, index_js_1.constMap)(platformAndChainsEntries);
exports.chainToPlatform = (0, index_js_1.constMap)(platformAndChainsEntries, [1, 0]);
const isPlatform = (platform) => exports.platformToChains.has(platform);
exports.isPlatform = isPlatform;
// prettier-ignore
const platformAddressFormatEntries = [
    ["Evm", "hex"],
    ["Solana", "base58"],
    ["Cosmwasm", "bech32"],
    ["Btc", "bech32"], //though we currently don't have any btc addresses
    ["Algorand", "algorandAppId"],
    ["Sui", "hex"],
    ["Aptos", "hex"],
    ["Near", "sha256"],
];
exports.platformToAddressFormat = (0, index_js_1.constMap)(platformAddressFormatEntries);
//# sourceMappingURL=platforms.js.map